Debian Bug report logs - #576188
banshee: Outputs loads of junk to STDOUT

version graph

Package: banshee; Maintainer for banshee is Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>; Source for banshee is src:banshee.

Reported by: Antony Gelberg <antony.gelberg@gmail.com>

Date: Thu, 1 Apr 2010 11:33:01 UTC

Severity: normal

Tags: wontfix

Found in version banshee/1.0.0-1

Done: Chow Loong Jin <hyperair@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>:
Bug#576188; Package banshee. (Thu, 01 Apr 2010 11:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antony Gelberg <antony.gelberg@wayforth.com>:
New Bug report received and forwarded. Copy sent to Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>. (Thu, 01 Apr 2010 11:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antony Gelberg <antony.gelberg@wayforth.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: banshee: Outputs loads of junk to STDOUT
Date: Thu, 01 Apr 2010 13:59:58 +0300
Package: banshee
Version: 1.0.0-1
Severity: normal

As per subject really, banshee fills my console with a load of messages that
are at best useful for debug.  Clobbering STDOUT is really not cricket.

Antony

-- System Information:
Debian Release: 5.0.4
  APT prefers stable
  APT policy: (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.20100122 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages banshee depends on:
ii  gstreamer0.10-gnomevfs 0.10.19-2         GStreamer plugin for GnomeVFS
ii  gstreamer0.10-plugins- 0.10.19-2         GStreamer plugins from the "base" 
ii  gstreamer0.10-plugins- 0.10.8-4.1~lenny2 GStreamer plugins from the "good" 
ii  hal                    0.5.11-8          Hardware Abstraction Layer
ii  libboo2.0-cil          0.8.1.2865-2      python-like language and compiler 
ii  libc6                  2.7-18lenny2      GNU C Library: Shared libraries
ii  libcairo2              1.6.4-7           The Cairo 2D vector graphics libra
ii  libgconf2.0-cil        2.20.1-1          CLI binding for GConf 2.20
ii  libglade2.0-cil        2.12.1-2          CLI binding for the Glade librarie
ii  libglib2.0-0           2.22.2-2~bpo50+1  The GLib library of C routines
ii  libglib2.0-cil         2.12.1-2          CLI binding for the GLib utility l
ii  libgnome2.0-cil        2.20.1-1          CLI binding for GNOME 2.20
ii  libgstreamer-plugins-b 0.10.19-2         GStreamer libraries from the "base
ii  libgstreamer0.10-0     0.10.19-3         Core GStreamer libraries and eleme
ii  libgtk2.0-0            2.18.3-1~bpo50+1  The GTK+ graphical user interface 
ii  libgtk2.0-cil          2.12.1-2          CLI binding for the GTK+ toolkit 2
ii  libmono-addins-gui0.2- 0.3.1-5           GTK# frontend library for Mono.Add
ii  libmono-addins0.2-cil  0.3.1-5           addin framework for extensible CLI
ii  libmono-cairo2.0-cil   1.9.1+dfsg-6      Mono Cairo library
ii  libmono-corlib2.0-cil  1.9.1+dfsg-6      Mono core library (2.0)
ii  libmono-sharpzip2.84-c 1.9.1+dfsg-6      Mono SharpZipLib library
ii  libmono-sqlite2.0-cil  1.9.1+dfsg-6      Mono Sqlite library
ii  libmono-system-data2.0 1.9.1+dfsg-6      Mono System.Data Library
ii  libmono-system-web2.0- 1.9.1+dfsg-6      Mono System.Web Library
ii  libmono-system2.0-cil  1.9.1+dfsg-6      Mono System libraries (2.0)
ii  libmono2.0-cil         1.9.1+dfsg-6      Mono libraries (2.0)
ii  libmtp7                0.2.6.1-3         Media Transfer Protocol (MTP) libr
ii  libndesk-dbus-glib1.0- 0.4.1-1           CLI implementation of D-Bus (GLib 
ii  libndesk-dbus1.0-cil   0.6.0-1           CLI implementation of D-Bus
ii  libnotify0.4-cil       0.4.0~r2998-1     CLI library for desktop notificati
ii  libpango1.0-0          1.20.5-5          Layout and rendering of internatio
ii  libtaglib2.0-cil       2.0.3.0-2         CLI library for accessing audio an
ii  libx11-6               2:1.1.5-2         X11 client-side library
ii  mono-runtime           1.9.1+dfsg-6      Mono runtime

Versions of packages banshee recommends:
ii  brasero                  0.8.0-3         CD/DVD burning application for GNO
ii  gstreamer0.10-ffmpeg     0.10.4-3        FFmpeg plugin for GStreamer
ii  gstreamer0.10-plugins-ba 0.10.7-2+lenny2 GStreamer plugins from the "bad" s
ii  gstreamer0.10-plugins-ug 0.10.8-1        GStreamer plugins from the "ugly" 
ii  podsleuth                0.6.2-2         Tool to discover detailed informat

banshee suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>:
Bug#576188; Package banshee. (Thu, 01 Apr 2010 13:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chow Loong Jin <hyperair@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>. (Thu, 01 Apr 2010 13:33:07 GMT) Full text and rfc822 format available.

Message #10 received at 576188@bugs.debian.org (full text, mbox):

From: Chow Loong Jin <hyperair@ubuntu.com>
To: Antony Gelberg <antony.gelberg@wayforth.com>, 576188@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [pkg-cli-apps-team] Bug#576188: banshee: Outputs loads of junk to STDOUT
Date: Thu, 01 Apr 2010 21:28:35 +0800
[Message part 1 (text/plain, inline)]
On Thursday 01,April,2010 06:59 PM, Antony Gelberg wrote:
> Package: banshee
> Version: 1.0.0-1
> Severity: normal
> 
> As per subject really, banshee fills my console with a load of messages that
> are at best useful for debug.  Clobbering STDOUT is really not cricket.

I don't see what the problem is. A graphical application is usually not started
from the terminal, unless you are looking for debugging information. Are you
really hoping to interact with Banshee from the console? If you are, then sorry,
but I don't believe it is planned to give Banshee a command line interface any
time soon.

-- 
Kind regards,
Chow Loong Jin (GPG: 0x8F02A411)
Ubuntu Developer

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>:
Bug#576188; Package banshee. (Fri, 23 Apr 2010 09:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antony Gelberg <antony.gelberg@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>. (Fri, 23 Apr 2010 09:36:08 GMT) Full text and rfc822 format available.

Message #15 received at 576188@bugs.debian.org (full text, mbox):

From: Antony Gelberg <antony.gelberg@googlemail.com>
To: 576188@bugs.debian.org
Subject: Re: [pkg-cli-apps-team] Bug#576188: banshee: Outputs loads of junk to STDOUT
Date: Fri, 23 Apr 2010 12:31:50 +0300
Chow Loong Jin wrote:
> On Thursday 01,April,2010 06:59 PM, Antony Gelberg wrote:
>> Package: banshee
>> Version: 1.0.0-1
>> Severity: normal
>>
>> As per subject really, banshee fills my console with a load of messages that
>> are at best useful for debug.  Clobbering STDOUT is really not cricket.
> 
> I don't see what the problem is. A graphical application is usually not started
> from the terminal, unless you are looking for debugging information. Are you
> really hoping to interact with Banshee from the console? If you are, then sorry,
> but I don't believe it is planned to give Banshee a command line interface any
> time soon.
> 

I think your assumption that "A graphical application is usually not
started from the terminal, unless you are looking for debugging
information." is utterly flawed.  These messages should be printed only
when some debug flag is switched on.

I am not hoping to "interact" with Banshee from the command line, and I
never said I was.

Antony




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>:
Bug#576188; Package banshee. (Fri, 23 Apr 2010 11:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chow Loong Jin <hyperair@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>. (Fri, 23 Apr 2010 11:03:05 GMT) Full text and rfc822 format available.

Message #20 received at 576188@bugs.debian.org (full text, mbox):

From: Chow Loong Jin <hyperair@ubuntu.com>
To: Antony Gelberg <antony.gelberg@googlemail.com>, 576188@bugs.debian.org
Subject: Re: [pkg-cli-apps-team] Bug#576188: Bug#576188: banshee: Outputs loads of junk to STDOUT
Date: Fri, 23 Apr 2010 18:58:52 +0800
[Message part 1 (text/plain, inline)]
On Friday 23,April,2010 05:31 PM, Antony Gelberg wrote:
> Chow Loong Jin wrote:
>> On Thursday 01,April,2010 06:59 PM, Antony Gelberg wrote:
>>> Package: banshee
>>> Version: 1.0.0-1
>>> Severity: normal
>>>
>>> As per subject really, banshee fills my console with a load of messages that
>>> are at best useful for debug.  Clobbering STDOUT is really not cricket.
>>
>> I don't see what the problem is. A graphical application is usually not started
>> from the terminal, unless you are looking for debugging information. Are you
>> really hoping to interact with Banshee from the console? If you are, then sorry,
>> but I don't believe it is planned to give Banshee a command line interface any
>> time soon.
>>
> 
> I think your assumption that "A graphical application is usually not
> started from the terminal, unless you are looking for debugging
> information." is utterly flawed.  These messages should be printed only
> when some debug flag is switched on.
> 
> I am not hoping to "interact" with Banshee from the command line, and I
> never said I was.

Then tell me, exactly what do you hope to achieve by opening Banshee in a
terminal instead of using a graphical approach, e.g. the menu?

FYI, all Glib applications spit information -- warnings, errors, other
information out into the terminal regardless of any debug flag. I do not see
this as a problem.

Banshee does the same, just on a slightly larger scale. And the --debug flag
exists to spit out even more information than is already spat out to the terminal.

-- 
Kind regards,
Chow Loong Jin (GPG: 0x8F02A411)
Ubuntu Developer

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>:
Bug#576188; Package banshee. (Tue, 27 Apr 2010 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antony Gelberg <antony.gelberg@wayforth.com>:
Extra info received and forwarded to list. Copy sent to Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>. (Tue, 27 Apr 2010 11:39:03 GMT) Full text and rfc822 format available.

Message #25 received at 576188@bugs.debian.org (full text, mbox):

From: Antony Gelberg <antony.gelberg@wayforth.com>
To: 576188@bugs.debian.org
Subject: Re: [pkg-cli-apps-team] Bug#576188: Bug#576188: banshee: Outputs loads of junk to STDOUT
Date: Tue, 27 Apr 2010 13:44:56 +0300
Chow Loong Jin wrote:
> 
> Then tell me, exactly what do you hope to achieve by opening Banshee in a
> terminal instead of using a graphical approach, e.g. the menu?
> 

Is this a serious question?  I will assume it is and give a straight answer.

The answer is: I am hoping to run the application.

> FYI, all Glib applications spit information -- warnings, errors, other
> information out into the terminal regardless of any debug flag. I do not see
> this as a problem.
> 

If you don't see it as a problem, it's probably because you are only
ever clicking on icons to open applications, STDOUT is redirected to
.xsession-errors or a bitbucket or $somewhere_else, and you assume that
everybody does that.  However for some users it clearly is a problem.

If it wants to write to STDERR to report something exceptional then
that's different, but as I said originally, routinely clobbering STDOUT
with junk is unacceptable.

> Banshee does the same, just on a slightly larger scale.  And the --debug flag
> exists to spit out even more information than is already spat out to the terminal.
> 

Great.  But I'm looking for less, not more.

Antony




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>:
Bug#576188; Package banshee. (Tue, 27 Apr 2010 14:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chow Loong Jin <hyperair@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>. (Tue, 27 Apr 2010 14:57:09 GMT) Full text and rfc822 format available.

Message #30 received at 576188@bugs.debian.org (full text, mbox):

From: Chow Loong Jin <hyperair@gmail.com>
To: Antony Gelberg <antony.gelberg@wayforth.com>
Cc: 576188@bugs.debian.org
Subject: Re: [pkg-cli-apps-team] Bug#576188: Bug#576188: Bug#576188: banshee: Outputs loads of junk to STDOUT
Date: Tue, 27 Apr 2010 22:53:48 +0800
[Message part 1 (text/plain, inline)]
On Tuesday 27,April,2010 06:44 PM, Antony Gelberg wrote:
> Chow Loong Jin wrote:
>>
>> Then tell me, exactly what do you hope to achieve by opening Banshee in a
>> terminal instead of using a graphical approach, e.g. the menu?
>>
> 
> Is this a serious question?  I will assume it is and give a straight answer.
> 
> The answer is: I am hoping to run the application.

Yes, that was a serious question, and I was hoping for a straight answer. I
mean, exactly what do you hope to achieve by opening Banshee in a terminal
_*rather than*_ a graphical approach. In other words, what will you achieve that
you can't already achieve with a graphical approach?

In the first place, I am already being rather liberal treating this bug report
as a serious but report. I am tempted to just close it with the tag wontfix, as
this is bordering on ridiculous.

> 
>> FYI, all Glib applications spit information -- warnings, errors, other
>> information out into the terminal regardless of any debug flag. I do not see
>> this as a problem.
>>
> 
> If you don't see it as a problem, it's probably because you are only
> ever clicking on icons to open applications, STDOUT is redirected to
> .xsession-errors or a bitbucket or $somewhere_else, and you assume that
> everybody does that.  However for some users it clearly is a problem.

Actually .xsession-errors is stdout+stderr, AFAIK. So everything ends up there
anyway, and I don't see a problem, because they are *graphical* *applications*,
and .xsession-errors is only meant for debugging.

> If it wants to write to STDERR to report something exceptional then
> that's different, but as I said originally, routinely clobbering STDOUT
> with junk is unacceptable.
> 
>> Banshee does the same, just on a slightly larger scale.  And the --debug flag
>> exists to spit out even more information than is already spat out to the terminal.
>>
> 
> Great.  But I'm looking for less, not more.
> 
> Antony

Great. I tire of this discussion am merely a Banshee packager, and will not fix
it within Debian's packages -- doing so will require an *extremely* huge delta
to the upstream packages, which is not desirable at all. If you have really do
have issues with this behaviour, take it upstream. The upstream bug tracker is
https://bugzilla.gnome.org and I am sure the upstream developers will handle
this issue better than I can.

-- 
Kind regards,
Chow Loong Jin

[signature.asc (application/pgp-signature, attachment)]

Changed Bug submitter to 'Antony Gelberg <antony.gelberg@gmail.com>' from 'Antony Gelberg <antony.gelberg@wayforth.com>' Request was from Antony Gelberg <antony.gelberg@gmail.com> to control@bugs.debian.org. (Sun, 06 Jun 2010 12:18:12 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Chow Loong Jin <hyperair@ubuntu.com> to control@bugs.debian.org. (Sun, 31 Jul 2011 20:30:04 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Antony Gelberg <antony.gelberg@gmail.com> Request was from Chow Loong Jin <hyperair@ubuntu.com> to control@bugs.debian.org. (Sun, 31 Jul 2011 20:30:05 GMT) Full text and rfc822 format available.

Message sent on to Antony Gelberg <antony.gelberg@gmail.com>:
Bug#576188. (Sun, 31 Jul 2011 20:30:07 GMT) Full text and rfc822 format available.

Message #39 received at 576188-submitter@bugs.debian.org (full text, mbox):

From: Chow Loong Jin <hyperair@ubuntu.com>
To: control@bugs.debian.org
Cc: 576188-submitter@bugs.debian.org
Subject: tagging 576188, closing 576188
Date: Mon, 01 Aug 2011 04:27:17 +0800
tags 576188 + wontfix
close 576188 
thanks
-- 
Kind regards,
Loong Jin





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 29 Aug 2011 07:40:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:42:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.